%define current_version 7.0.5

Summary:        OpenVZ vzvncserver application
Name:		prl-vzvncserver
Version:	%{current_version}
Release:        1%{?dist}
Group:		Applications/System
License:	GPLv2
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	libprlsdk >= 7.0.2, libvncserver, libvzctl
BuildRequires:	libprlsdk-devel >= 7.0.2, libvncserver-devel, libvzctl-devel
ExclusiveArch:	x86_64

%description
OpenVZ vncserver application for Containers.

%files
%defattr(755,root,root)
%{_bindir}/prl_vzvncserver_app

%prep
%setup -q

%build
make %{?_smp_mflags} all

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_sbindir}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%changelog
* Wed Mar 23 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.5
 - Fix 0-sized clipboard-copy on a single click in terminal in
    vzvncserver #PSBM-45341 (Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com>)

* Fri Mar 18 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.4
 - prl_vzvncserver_app ignores "-l" param value (Maxim Kudrin
<mku@virtuozzo.com>) (#PSBM-38487)

* Sat Oct 24 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.3
 - Enhance vzvncserver to use UUIDs together with CTIDs (#PSBM-34267)

* Thu Jun 18 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.2
 - Initial commit

